## Apache Zeta Components Manual :: Docs For Class ezcLogMapper

### EventLog::ezcLogMapper

### Interface ezcLogMapper

The ezcLogMapper provides a public interface to implement a mapper.

The ezcLogMapper interface has one method that must be implemented. This method returns a writer (or in some cases a string) that matches the incoming message.

An implementation of ezcLogMapper is the ezcLogFilterSet.

Source for this file: /EventLog/src/interfaces/mapper.php

Version: | //autogentag//

### Method Summary

public mixed|ezcLogWriter | `get( $severity , $source , $category )` Returns the containers (results) that are mapped to this $severity, $source, and $category.

### Methods

#### get

mixed|ezcLogWriter get( int $severity , string $source , string $category )

Returns the containers (results) that are mapped to this $severity, $source, and $category.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$severity` | int |
`$source` | string |
`$category` | string |

Documentation generated by phpDocumentor 1.4.3